services:
  unpackerr:
      image: golift/unpackerr
      container_name: unpackerr
      restart: unless-stopped
      network_mode: "host"
      mem_limit: "4096m"
      mem_reservation: "1024m"
      environment:
        - UN_DEBUG=false
        - ./unpackerr/config:/config
        # --- qBittorrent Configuration ---
        - UN_QBITTORRENT_URL=http://172.16.201.21:8080
        - UN_QBITTORRENT_USERNAME=jkilloran
        - UN_QBITTORRENT_PASSWORD=Pizzajam11
        - UN_QBITTORRENT_CATEGORIES=tv,movies,music,other
        # --- Whisparr Configuration ---
        - UN_WHISPARR_0_URL=http://172.16.201.21:6969
        - UN_WHISPARR_0_API_KEY=a9e10d0693ee46e8b8bc5513597d0540
        - UN_WHISPARR_0_PATHS=/downloads
        # --- Sonarr Configuration ---
        - UN_SONARR_0_URL=http://172.16.201.21:8989
        - UN_SONARR_0_API_KEY=d8f3afa9b5c143b6b778253f5b913e92
        - UN_SONARR_0_PATHS=/downloads
        # --- Radarr Configuration ---
        - UN_RADARR_0_URL=http://172.16.201.21:7878
        - UN_RADARR_0_API_KEY=b198a04d7d354f46a7425097b601a90a
        - UN_RADARR_0_PATHS=/downloads
        # --- Lidarr Configuration ---
        - UN_LIDARR_0_URL=http://172.16.201.21:8686
        - UN_LIDARR_0_API_KEY=9cb1961cba9a496d9d174397b2ead3cb
        - UN_LIDARR_0_PATHS=/downloads
        - UN_DELETE_ORIGINALS=false
        - UN_DELETE_AFTER=0
        - UN_MOVE_BACK=false
      volumes:
        # Match qBittorrent's completed/incomplete folders
        - /mnt/SATA-22TB-host15/qbittorrent/downloads:/q-downloads
        - /mnt/SATA-22TB-host15/qbittorrent/completed:/q-completed
        # Optionally, if media folders are also here, map them too
